VersionProperty (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple
Class VersionProperty

    java.lang.Object
      org.hibernate.tuple.Property
          org.hibernate.tuple.StandardProperty
              org.hibernate.tuple.VersionProperty

All Implemented Interfaces:
  Serializable

    public class VersionProperty

extends StandardProperty

Represents a version property within the Hibernate runtime-metamodel.

See Also:
  Serialized Form

Constructor Summary
`VersionProperty(String name, String node, Type type, boolean lazy, boolean insertable, boolean updateable, boolean insertGenerated, boolean updateGenerated, boolean nullable, boolean checkable, boolean versionable, CascadeStyle cascadeStyle, VersionValue unsavedValue)` Constructs VersionProperty instances.

Method Summary
`VersionValue` | `getUnsavedValue()`

Methods inherited from class org.hibernate.tuple.StandardProperty
`getCascadeStyle, getFetchMode, isDirtyCheckable, isDirtyCheckable, isInsertable, isInsertGenerated, isLazy, isNullable, isUpdateable, isUpdateGenerated, isVersionable`

Methods inherited from class org.hibernate.tuple.Property
`getName, getNode, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionProperty

    public VersionProperty(String name,
                           String node,
                           Type type,
                           boolean lazy,
                           boolean insertable,
                           boolean updateable,
                           boolean insertGenerated,
                           boolean updateGenerated,
                           boolean nullable,
                           boolean checkable,
                           boolean versionable,
                           CascadeStyle cascadeStyle,
                           VersionValue unsavedValue)

  Constructs VersionProperty instances.

  Parameters:
    `name` - The name by which the property can be referenced within its owner.
    `node` - The node name to use for XML-based representation of this property.
    `type` - The Hibernate Type of this property.
    `lazy` - Should this property be handled lazily?
    `insertable` - Is this property an insertable value?
    `updateable` - Is this property an updateable value?
    `insertGenerated` - Is this property generated in the database on insert?
    `updateGenerated` - Is this property generated in the database on update?
    `nullable` - Is this property a nullable value?
    `checkable` - Is this property a checkable value?
    `versionable` - Is this property a versionable value?
    `cascadeStyle` - The cascade style for this property's value.
    `unsavedValue` - The value which, if found as the value of this (i.e., the version) property, represents new (i.e., un-saved) instances of the owning entity.

Method Detail

### getUnsavedValue

    public VersionValue getUnsavedValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.